Bug 842003 - Content Search - Errata: Hitting submit on a blank search in the "Repos" div throws error
Content Search - Errata: Hitting submit on a blank search in the "Repos" div ...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 16:07 EDT by Corey Welton
Modified: 2014-09-18 12:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Empty content searches for errata on a freshly installed system with nothing synced gave an index missing exception error. This fix corrects the content search controller and the error no longer appears.
Story Points: ---
Clone Of:
Environment:
Katello Version: 0.2.47-1.git.225.b3aa579.el6_3
Last Closed: 2012-12-04 14:47:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ruby trace (8.32 KB, text/plain)
2012-07-20 16:10 EDT, Corey Welton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1543 normal SHIPPED_LIVE Important: CloudForms System Engine 1.1 update 2012-12-04 19:39:57 EST

  None (edit)
Description Corey Welton 2012-07-20 16:07:47 EDT
Description of problem:
I suspect this only occurs on a system where errata in ANY org -- the testing one or otherwise -- have never been synced.

Version-Release number of selected component (if applicable):

Katello Version: 0.2.47-1.git.225.b3aa579.el6_3

How reproducible:


Steps to Reproduce:
1. Install a fresh system.  Assure nothing is yet synced, particularly not RH repos.  I also used --deployment=cfse but that might not matter.
2.  Create/sync a Provider ("Google"), Product ("Google Chrome") and Repos ("x86_64", http://dl.google.com/linux/chrome/rpm/stable/x86_64) ("i386", http://dl.google.com/linux/chrome/rpm/stable/i386)  
3.  Content > Content Search
4. in the left-hand Browse pane, choose a dropdown of "Errata".
5. In the resulting "Repos" box, click to focus on the first search field.
6. Do not enter anything; click submit.
  
Actual results:

404 : {"error":"IndexMissingException[[katello_errata] missing]","status":404} (Tire::Search::SearchRequestFailed)
Click here for more details.

Expected results:
Presumably blank results.

Additional info:
Comment 1 Corey Welton 2012-07-20 16:10:00 EDT
Created attachment 599458 [details]
ruby trace
Comment 2 Corey Welton 2012-07-20 16:24:13 EDT
Actually, this may occur with any of the search fields - Products, Repos or Errata
Comment 3 Justin Sherrill 2012-08-01 17:00:42 EDT
Key here is that the errata search index did not exist.  So to properly reproduce, no errata ever should have been synced in any organization.

e9bf154b5341e84820bc55a96994b7d6854980f6   

will move to on_dev after merge to master.
Comment 5 Corey Welton 2012-09-18 12:02:24 EDT
QE Verified.
CloudForms System Engine Version: 1.1.12-7.el6cf
Comment 7 errata-xmlrpc 2012-12-04 14:47:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.